2020-06-07 04:58 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002763NetSurfDevelopmentpublic2020-05-27 08:58
ReporterZen Subz 
Assigned To 
SeverityminorReproducibilitysometimes 
StatusclosedResolutionfixed 
PlatformLinuxOSCentOSOS Version7.8
Product Version3.9 
Target VersionFixed in Version3.10 
Summary0002763: Global history - losing focus
DescriptionThis is related to my earlier report: 0002754. Thanks for fixing it. Actually, I had gone back to an earlier dev. version of Netsurf (build 5010) that was not having this global-history issue (in addition, the framebuffer module was also working).

I have now come across a minor issue: sometimes when I click-on history-entries, by expanding/collapsing them in random ways, the entries tend to lose focus at times. I hope the attached gif image highlights this issue. The highlighted/clicked entry is in blue-color, but when something is not clickable, it is in gray-color as seen in the gif image.

I check with the latest dev build (5129) - it has the same problem as well.

Thanks.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Daniel Silverstone

~0002199

Daniel Silverstone (administrator)

We've fixed the *bug* here (not being able to select thing after collapsing) but the removal of selection on collapse is (currently) expected behaviour.

Thank you for the gif, it helped me work out what we *could* fix, and Michael worked out the fix.
Vincent Sanders

~0002207

Vincent Sanders (administrator)

Thankyou for reporting this issue.
We believe this is fixed in the 3.10 release.
If this is not the case please feel free to reopen the issue with additional details.
+Notes

-Issue History
Date Modified Username Field Change
2020-05-23 16:40 Zen Subz New Issue
2020-05-23 16:40 Zen Subz File Added: entry-not-clickable.gif
2020-05-23 21:31 Daniel Silverstone Status new => resolved
2020-05-23 21:31 Daniel Silverstone Resolution open => fixed
2020-05-23 21:31 Daniel Silverstone Fixed in Version => 3.10
2020-05-23 21:31 Daniel Silverstone Note Added: 0002199
2020-05-27 08:58 Vincent Sanders Status resolved => closed
2020-05-27 08:58 Vincent Sanders Note Added: 0002207
+Issue History